> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an account

> Retrieve an account by ID or reference.



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /accounts/{id_or_reference}
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /accounts/{id_or_reference}:
    get:
      summary: Retrieve an account
      description: Retrieve an account by ID or reference.
      operationId: get_account_accounts__id_or_reference__get
      parameters:
        - name: id_or_reference
          in: path
          required: true
          schema:
            type: string
            title: Id Or Reference
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    Account:
      properties:
        id:
          type: string
          title: Id
          description: Unique resource identifier.
        reference:
          type: string
          title: Reference
        status:
          $ref: '#/components/schemas/AccountStatus'
        name:
          type: string
          title: Name
        bank_payment_reference:
          type: string
          title: Bank Payment Reference
        base_currency:
          $ref: '#/components/schemas/Currency'
        funding_currencies:
          items:
            $ref: '#/components/schemas/Currency'
          type: array
          title: Funding Currencies
        can_deposit:
          type: boolean
          title: Can Deposit
        can_withdraw:
          type: boolean
          title: Can Withdraw
        can_place_buy_order:
          type: boolean
          title: Can Place Buy Order
        can_place_sell_order:
          type: boolean
          title: Can Place Sell Order
        has_deposited:
          type: boolean
          title: Has Deposited
        has_withdrawn:
          type: boolean
          title: Has Withdrawn
        has_placed_buy_order:
          type: boolean
          title: Has Placed Buy Order
        has_placed_sell_order:
          type: boolean
          title: Has Placed Sell Order
        is_primary_owner_mifid_pro:
          type: boolean
          title: Is Primary Owner Mifid Pro
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
        modified_at:
          type: string
          format: date-time
          title: Modified At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - reference
        - status
        - name
        - bank_payment_reference
        - base_currency
        - funding_currencies
        - can_deposit
        - can_withdraw
        - can_place_buy_order
        - can_place_sell_order
        - has_deposited
        - has_withdrawn
        - has_placed_buy_order
        - has_placed_sell_order
        - is_primary_owner_mifid_pro
      title: Account
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    AccountStatus:
      type: string
      enum:
        - active
        - suspended
        - closing
        - closed
      title: AccountStatus
      properties: {}
    Currency:
      type: string
      enum:
        - EUR
        - USD
        - GBP
      title: Currency
      properties: {}
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````